Package com.pixelmed.dose

# Class ScanRange

java.lang.Object
com.pixelmed.dose.ScanRange

public class ScanRange extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`absoluteRange`
`protected double`
`absoluteRangeAsDouble`
`protected String`
`endDirection`
`protected String`
`endLocation`
`protected String`
`startDirection`
`protected String`
`startLocation`

## Constructor Summary

Constructors
Constructor
Description
`ScanRange(String signedStartLocation, String signedEndLocation)`
`ScanRange(String startDirection, String startLocation, String endDirection, String endLocation)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getAbsoluteRange()`
`double`
`getAbsoluteRangeAsDouble()`
`String`
`getEndDirection()`
`String`
`getEndLocation()`
`String`
`getStartDirection()`
`String`
`getStartLocation()`
`int`
`hashCode()`
`boolean`
`isStationary()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### startDirection

protected String startDirection

### startLocation

protected String startLocation

### endDirection

protected String endDirection

### endLocation

protected String endLocation

### absoluteRange

protected String absoluteRange

### absoluteRangeAsDouble

protected double absoluteRangeAsDouble

## Constructor Details

### ScanRange

public ScanRange(String startDirection, String startLocation, String endDirection, String endLocation)

### ScanRange

public ScanRange(String signedStartLocation, String signedEndLocation)

## Method Details

### getStartDirection

public String getStartDirection()

### getStartLocation

public String getStartLocation()

### getEndDirection

public String getEndDirection()

### getEndLocation

public String getEndLocation()

### getAbsoluteRangeAsDouble

public double getAbsoluteRangeAsDouble()

### getAbsoluteRange

public String getAbsoluteRange()

### isStationary

public boolean isStationary()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`